"""Add key to projects

Revision ID: 48927b3c7019
Revises: 6ea2b580990e
Create Date: 2021-04-17 07:11:36.505474

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '48927b3c7019'
down_revision = '6ea2b580990e'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('projects', sa.Column('key', sa.String()))
    op.execute("UPDATE projects SET key = CONCAT(REPLACE(LOWER(TRIM(REGEXP_REPLACE(name, '[^ a-zA-Z]+', '','g'))), ' ', '-'), '-', CAST(id AS VARCHAR(10)));")
    op.alter_column('projects', 'key', nullable=False)
    op.drop_index('ix_projects_description', table_name='projects')
    op.drop_index('ix_projects_name', table_name='projects')
    op.create_index(op.f('ix_projects_key'), 'projects', ['key'], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_projects_key'), table_name='projects')
    op.create_index('ix_projects_name', 'projects', ['name'], unique=False)
    op.create_index('ix_projects_description', 'projects', ['description'], unique=False)
    op.drop_column('projects', 'key')
    # ### end Alembic commands ###
