"""Delete items and add projects table

Revision ID: d9ce25b49efb
Revises: 7b1b02c08fb2
Create Date: 2021-02-18 12:47:30.109846

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "d9ce25b49efb"
down_revision = "7b1b02c08fb2"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "projects",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("name", sa.String(), nullable=False),
        sa.Column("description", sa.String(), nullable=True),
        sa.Column("owner_id", sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(
            ["owner_id"],
            ["user.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(
        op.f("ix_projects_description"), "projects", ["description"], unique=False
    )
    op.create_index(op.f("ix_projects_id"), "projects", ["id"], unique=True)
    op.create_index(op.f("ix_projects_name"), "projects", ["name"], unique=False)
    op.drop_index("ix_item_description", table_name="item")
    op.drop_index("ix_item_id", table_name="item")
    op.drop_index("ix_item_title", table_name="item")
    op.drop_table("item")
    op.alter_column("user", "user_id", existing_type=sa.VARCHAR(), nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column("user", "user_id", existing_type=sa.VARCHAR(), nullable=True)
    op.create_table(
        "item",
        sa.Column("id", sa.INTEGER(), autoincrement=True, nullable=False),
        sa.Column("title", sa.VARCHAR(), autoincrement=False, nullable=True),
        sa.Column("description", sa.VARCHAR(), autoincrement=False, nullable=True),
        sa.Column("owner_id", sa.INTEGER(), autoincrement=False, nullable=True),
        sa.ForeignKeyConstraint(["owner_id"], ["user.id"], name="item_owner_id_fkey"),
        sa.PrimaryKeyConstraint("id", name="item_pkey"),
    )
    op.create_index("ix_item_title", "item", ["title"], unique=False)
    op.create_index("ix_item_id", "item", ["id"], unique=False)
    op.create_index("ix_item_description", "item", ["description"], unique=False)
    op.drop_index(op.f("ix_projects_name"), table_name="projects")
    op.drop_index(op.f("ix_projects_id"), table_name="projects")
    op.drop_index(op.f("ix_projects_description"), table_name="projects")
    op.drop_table("projects")
    # ### end Alembic commands ###
